Subject: bug#33059: closed (Re: [PATCH v2 0/9] Add the FEniCS Project, v2 patches)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Nov 2018 20:40:02 +0000

Your bug report

#33059: [PATCH 00/10] Add the FEniCS Project

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v2 0/9] Add the FEniCS Project, v2 patches
From: [email-masked] (Ludovic Courtès)
To: Paul Garlick <[email-masked]>
Cc: Eric Bavier <[email-masked]>, [email-masked], Efraim Flashner <[email-masked]>
Date: Wed, 14 Nov 2018 21:38:48 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Paul and all,

Paul Garlick <[email-masked]> skribis:

> Hi Efraim, Hi Eric, Hi Ludo,
>
> Thank you for your comments on the patch series for the FEniCS Project
> packages.  I have been able to make changes to address all of the
> suggestions with one exception, noted below.
>
> The main differences between the original and v2 patches are:
>
> i) python-mpi4py is now part of (gnu packages mpi)
> ii) python-petsc4py is now part of (gnu packages maths)
> iii) python-slepc4py is now part of (gnu packages maths)
> iv) temporary directory changes use 'with-directory-excursion'
> v) 'substitute*' is used in preference to 'with-atomic-file-replacement'
> vi) the Guix 'catch' package is used in preference to the bundled version
> vii) the 'python-fenics-dolfin' package has been renamed 'fenics'
> viii) the 'fenics' package has an updated home-page and synopsis
>
> The remaining suggestion was in the 'fenics-dolfin' package:
>
>> +                   (string-append
>> +                    "set(CTEST_CUSTOM_TESTS_IGNORE "
>> +                    "demo_bcs_serial "
>> +                    "demo_bcs_mpi "
>> +                    "demo_eigenvalue_serial "
>> +                    "demo_eigenvalue_mpi "
>> +                    "demo_navier-stokes_serial "
>
>> Could we avoid listing all the files here?
>
> I tried a few ideas to avoid listing the demos to ignore.  These are the ones
> with the 'git-lfs' links.  However, this proved to be awkward.
>
> The source code lists the demos that cmake expects to be present.  So, one
> may either make a list of demos to ignore (as in the original patch) or delete
> the same members from a list to include (plus delete the subdirectories
> themselves).  Simply deleting the subdirectories from the build directory does
> not work.  Since they exist as Makefile targets they are re-created by the
> 'make demos' step.
>
> I think the original method is preferable.  An advantage is that users may
> readily access the demos if they are using Guix on a host system that has
> a git-lfs package available.

Thanks a lot for taking the time to address the comments we made on this
patch series.  I’ve applied the whole series on ‘master’; everything
lints and builds for me on x86_64-linux (there are new versions of the
PETSc and SLEPSc bindings available, BTW.)

Thank you!

Ludo’.

Subject: [PATCH 00/10] Add the FEniCS Project
From: Paul Garlick <[email-masked]>
To: [email-masked]
Cc: Paul Garlick <[email-masked]>
Date: Tue, 16 Oct 2018 10:17:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

This set of patches adds definitions and dependencies for the FEniCS Project.
FEniCS provides a problem-solving environment for general classes of problems
that involve differential equations.  It is particularly well-suited to
problems that can be solved using the Finite Element Method.

There are two main packages;

i) fenics-dolfin:  C++ library plus interface
ii) python-fenics-dolfin: Python interface 

There are four FEniCS dependencies:

i) python-fenics-ffc
ii) python-fenics-fiat
iii) python-fenics-ufl
iv) python-fenics-dijitso

There are three external dependencies:

i) python-slepc4py
ii) python-petsc4py
iii) python-mpi4py

There is an extra package 'fenics' that inherits its defintion from
python-fenics-dolfin.  This is to provide a sensible default for users
expecting to find a package of this name.

Best regards,

Paul.

Paul Garlick (10):
  gnu: Add python-mpi4py.
  gnu: Add python-petsc4py.
  gnu: Add python-slepc4py.
  gnu: Add python-fenics-dijitso.
  gnu: Add python-fenics-ufl.
  gnu: Add python-fenics-fiat.
  gnu: Add python-fenics-ffc.
  gnu: Add fenics-dolfin.
  gnu: Add python-fenics-dolfin.
  gnu: Add fenics.

 gnu/packages/simulation.scm | 688 +++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 687 insertions(+), 1 deletion(-)

-- 
1.8.3.1